<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- File/Synopsis/PTree/Atoms.hh.html -->
<!-- this view was generated by FileIndex -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Synopsis/PTree/Atoms.hh</title>
<link href="../../../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="FileIndex">
<b >Synopsis/PTree/Atoms.hh</b>
<div><a href="../../../Source/Synopsis/PTree/Atoms.hh.html" target="content">source code</a></div>
<div><a href="../../../FileDetails/Synopsis/PTree/Atoms.hh.html" target="content">details</a></div>
<div class="heading">Declarations</div>
Synopsis<br/>
<div class="fileview-scope">PTree<br/>
<div class="fileview-scope"><div class="href"><a href="../../../Scopes/Synopsis/PTree/CommentedAtom.html" target="content" title="(class)">CommentedAtom</a></div><div class="fileview-scope"><div class="href"><a href="../../../Scopes/Synopsis/PTree/CommentedAtom.html#CommentedAtom_lconst.Token_A_cNode_S_r" target="content" title="(member function)">CommentedAtom</a></div><div class="href"><a href="../../../Scopes/Synopsis/PTree/CommentedAtom.html#CommentedAtom_lconst.char_S_csize_t_cNode_S_r" target="content" title="(member function)">CommentedAtom</a></div><div class="href"><a href="../../../Scopes/Synopsis/PTree/CommentedAtom.html#my_comments" target="content" title="(data member)">my_comments</a></div><div class="href"><a href="../../../Scopes/Synopsis/PTree/CommentedAtom.html#set_comments_lNode_S_r" target="content" title="(member function)">set_comments</a></div></div><div class="href"><a href="../../../Scopes/Synopsis/PTree/DupAtom.html" target="content" title="(class)">DupAtom</a></div><div class="fileview-scope"><div class="href"><a href="../../../Scopes/Synopsis/PTree/DupAtom.html#DupAtom_lconst.char_S_csize_t_r" target="content" title="(member function)">DupAtom</a></div><div class="href"><a href="../../../Scopes/Synopsis/PTree/DupAtom.html#DupAtom_lconst.char_S_csize_t_cconst.char_S_csize_t_r" target="content" title="(member function)">DupAtom</a></div></div><div class="href"><a href="../../../Scopes/Synopsis/PTree/Identifier.html" target="content" title="(class)">Identifier</a></div><div class="href"><a href="../../../Scopes/Synopsis/PTree/Keyword.html" target="content" title="(class)">Keyword</a></div><div class="fileview-scope"><div class="href"><a href="../../../Scopes/Synopsis/PTree/Keyword.html#Keyword_lconst.char_S_cint_r" target="content" title="(member function)">Keyword</a></div></div><div class="href"><a href="../../../Scopes/Synopsis/PTree/KeywordT.html" target="content" title="(class)">KeywordT</a></div><div class="href"><a href="../../../Scopes/Synopsis/PTree/Literal.html" target="content" title="(class)">Literal</a></div><div class="fileview-scope"><div class="href"><a href="../../../Scopes/Synopsis/PTree/Literal.html#Literal_lconst.Token_A_r" target="content" title="(member function)">Literal</a></div><div class="href"><a href="../../../Scopes/Synopsis/PTree/Literal.html#accept_lVisitor_S_r" target="content" title="(member function)">accept</a></div><div class="href"><a href="../../../Scopes/Synopsis/PTree/Literal.html#my_type" target="content" title="(data member)">my_type</a></div><div class="href"><a href="../../../Scopes/Synopsis/PTree/Literal.html#type_l_rconst" target="content" title="(member function)">type</a></div></div><div class="href"><a href="../../../Scopes/Synopsis/PTree/UserKeyword.html" target="content" title="(class)">UserKeyword</a></div><div class="fileview-scope"><div class="href"><a href="../../../Scopes/Synopsis/PTree/UserKeyword.html#my_type" target="content" title="(data member)">my_type</a></div></div>
</div>
</div>

</body>
</html>
